Package com.arms.api.jira.jiraserver.model.enums

## Enum ServerType

- java.lang.Object
- - java.lang.Enum<ServerType>
  - - com.arms.api.jira.jiraserver.model.enums.ServerType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ServerType>`

      public enum ServerType
      extends java.lang.Enum<ServerType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `JIRA_CLOUD` |
    `JIRA_ON_PREMISE` |
    `REDMINE_ON_PREMISE` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ServerType` | `fromString​(java.lang.String type)` |
    `java.lang.String` | `getType()` |
    `static ServerType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ServerType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### JIRA_CLOUD

          public static final ServerType JIRA_CLOUD

    - #### JIRA_ON_PREMISE

          public static final ServerType JIRA_ON_PREMISE

    - #### REDMINE_ON_PREMISE

          public static final ServerType REDMINE_ON_PREMISE

  - ### Method Detail

    - #### values

          public static ServerType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ServerType c : ServerType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ServerType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getType

          public java.lang.String getType()

    - #### fromString

          public static ServerType fromString​(java.lang.String type)